
TESTS = $(wildcard test_*)

SRCDIR="../../src"

.PHONY: test_all $(TESTS)

test_all: $(TESTS)
	@echo "ALL TESTED"

$(TESTS): 
	$(MAKE) -C $@


check-defined-% : __check_defined_FORCE
	@:$(if $(value $*),, $(error Undefined $*))

new_test: check-defined-NAME check-defined-NEED
	@:$(if $(value $(wildcard test_$(NAME))), ,$(error Test $(NAME) exists.),)
	mkdir -p "test_$(NAME)"
	cat > "test_$(NAME)/Makefile" << EOF

.PHONY: __check_defined_FORCE

__check_defined_FORCE:

#@:$(call test, NAME TEST, hhehehe)
#$(value NAME)
#@:$(call check_defined, NEED, sets the needed files )

